# Ignore all files
*.*

# File Types
!*.mps
!*.json
!*.txt
!*.project
!*.dat
!*.js
!*.7z
!*.csv
!*.ain
!*.fnl
!*.ks
!*.tjs
!*.yaml
!*.rb
!*.rvdata2

# Other Needed Files
!.gitignore
!README.md
!patch-config.txt
!GameUpdate*
!patch*
!Game.dat
!bsxx.dat*
!game.ini
!package.nw
!SRPG_Unpacker.exe
!(SRPG_Unpacker Patcher).bat

# Ignore
previous_patch_sha.txt
kabe3_save.dat
kabe3_system.dat
psbpack.dat
Save*
cg.dat
scene.dat
BSXScript_*
www/img/*

# Images
!icon200.png
!icon201.png
!icon202.png
!\[Base\]BaseChip_pipo.png
!\[Base\]BaseChip_pipo0.png
!cg_sales.png
!quiz_logo.png
!res_exp0.png
!res_exp1.png
!res_money0.png
!res_money1.png
!res_name0.png
!res_name1.png
!res_ng.png
!res_ok.png
!round1.png
!round2.png
!round3.png
!round4.png
!st0.png
!st1.png
!st2.png
!st3.png
!ユニット決定アイコン.png
!is2.png
!is_prof.png
!logo.png
!title.png
!cg_yakuza.jpg
!cg_lesson.jpg
!cg_sleep.jpg
!rec_000.jpg
!rec_001.jpg
!rec_002.jpg
!rec_003.jpg
!rec_004.jpg
!rec_005.jpg
!honoki.png
!sakatakikakuBasechio_02.png